<template>
  <div>
    <div class="pt-4 pb-4 pt-md-5 pb-md-5">
      <div class="container">
        <h1>{{ $t('download.title') }}</h1>
      </div>
    </div>

    <div
      class="bg-section-gradient mb-5 pt-4 pb-4 pt-md-5 pb-md-5 section-border-top section-border-bottom"
    >
      <div class="container">
        <div class="row flex-column-reverse flex-md-row">
          <div class="col-md-6">
            <b-card class="font-large full-width bg-unset border-unset">
              <b-card-title class="font-xx-large">
                {{ $t('download.systemRequirements.title') }}
              </b-card-title>

              <b-card-text>
                <b-tabs content-class="mt-3">
                  <b-tab
                    :active="isWindows"
                    :title="$t('download.systemRequirements.windows.title')"
                  >
                    <strong class="text-uppercase">
                      {{ $t('download.systemRequirements.minimum') }}:
                    </strong>

                    <p>
                      {{ $t('download.systemRequirements.os.title') }}:
                      {{ $t('download.systemRequirements.windows.os') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.cpu.title') }}:
                      {{ $t('download.systemRequirements.windows.cpu') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.ram.title') }}:
                      {{ $t('download.systemRequirements.windows.ram') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.graphics.title') }}:
                      {{ $t('download.systemRequirements.windows.graphics') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.directx.title') }}:
                      {{ $t('download.systemRequirements.windows.directx') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.hdd.title') }}:
                      {{ $t('download.systemRequirements.windows.hdd') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.sound.title') }}:
                      {{ $t('download.systemRequirements.windows.sound') }}
                    </p>
                  </b-tab>
                  <b-tab
                    :active="isMac"
                    :title="$t('download.systemRequirements.mac.title')"
                  >
                    <strong class="text-uppercase">
                      {{ $t('download.systemRequirements.minimum') }}:
                    </strong>

                    <p>
                      {{ $t('download.systemRequirements.os.title') }}:
                      {{ $t('download.systemRequirements.mac.os') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.cpu.title') }}:
                      {{ $t('download.systemRequirements.mac.cpu') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.ram.title') }}:
                      {{ $t('download.systemRequirements.mac.ram') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.graphics.title') }}:
                      {{ $t('download.systemRequirements.mac.graphics') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.hdd.title') }}:
                      {{ $t('download.systemRequirements.mac.hdd') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.sound.title') }}:
                      {{ $t('download.systemRequirements.mac.sound') }}
                    </p>
                  </b-tab>
                  <b-tab
                    :active="isLinux"
                    :title="$t('download.systemRequirements.linux.title')"
                  >
                    <strong class="text-uppercase">
                      {{ $t('download.systemRequirements.minimum') }}:
                    </strong>

                    <p>
                      {{ $t('download.systemRequirements.cpu.title') }}:
                      {{ $t('download.systemRequirements.linux.cpu') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.ram.title') }}:
                      {{ $t('download.systemRequirements.linux.ram') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.graphics.title') }}:
                      {{ $t('download.systemRequirements.linux.graphics') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.hdd.title') }}:
                      {{ $t('download.systemRequirements.linux.hdd') }}
                    </p>
                    <p>
                      {{ $t('download.systemRequirements.sound.title') }}:
                      {{ $t('download.systemRequirements.linux.sound') }}
                    </p>
                  </b-tab>
                </b-tabs>
              </b-card-text>
            </b-card>
          </div>
          <div class="col-md-6">
            <PlayFree
              :hide-signup="isAuthenticated"
              :big-download="isAuthenticated"
            ></PlayFree>

            <hr class="section-border-bottom" />

            <Returning v-if="!isAuthenticated"></Returning>

            <b-card v-else class="font-large w-100 bg-unset border-unset">
              <PersonalLinks
                :title-html="$t('account.welcome') + ', {name}'"
              ></PersonalLinks>
            </b-card>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import PlayFree from '~/components/cards/play-free';
import UserPlatformDownloadMixin from '~/components/mixins/UserPlatformDownloadMixin';
import Returning from '~/components/cards/returning';
import PersonalLinks from '~/components/user/PersonalLinks';
export default {
  auth: false,
  components: {
    PersonalLinks,
    Returning,
    PlayFree,
  },
  mixins: [UserPlatformDownloadMixin],
  computed: {
    ...mapGetters('ryauth', ['isAuthenticated', 'loggedInUser']),
  },
  mounted() {
    this.$store.commit('SET_ACTIVE_PAGE', 'download');
  },
};
</script>
